<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/network_data_leader.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/d90/network__data__leader_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">network_data_leader.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../de/d90/network__data__leader_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef NETWORK_DATA_LEADER_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define NETWORK_DATA_LEADER_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d28/coap__server_8hpp.html">coap/coap_server.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d05/timer_8hpp.html">common/timer.hpp</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/d02/ip6__address_8hpp.html">net/ip6_address.hpp</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d6/d6f/mle__router_8hpp.html">thread/mle_router.hpp</a>&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d1/d10/network__data_8hpp.html">thread/network_data.hpp</a>&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">class </span>ThreadNetif;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span>NetworkData {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">   65</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">Leader</a>: <span class="keyword">public</span> <a class="code" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">NetworkData</a></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;{</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#af0d5b5a867cd80bbc200c58c97c22b5e">Leader</a>(<a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a631f664fa6b994e74b133b9761fae421">Reset</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a7678c15cb9ad8817f478340a20f7069b">Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aed480933589287c7910778d4994917df">Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    uint8_t <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a88ab46f99bc237628ebdc4153678ffca">GetVersion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aef19c61f1f56ce22b1097c73590d5a83">IncrementVersion</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    uint8_t <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#af1d68084596bca7052e15217b2e96ccf">GetStableVersion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aaa82c03675af088d0d8c1dbb203b2029">IncrementStableVersion</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    uint32_t <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a077a8f039d961db6d8f0cf7fc01128aa">GetContextIdReuseDelay</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a11cd0f1181c3217bf39366fbc445f5e7">SetContextIdReuseDelay</a>(uint32_t aDelay);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676">GetContext</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aAddress, <a class="code" href="../../dc/dcb/structThread_1_1Lowpan_1_1Context.html">Lowpan::Context</a> &amp;aContext);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676">GetContext</a>(uint8_t aContextId, <a class="code" href="../../dc/dcb/structThread_1_1Lowpan_1_1Context.html">Lowpan::Context</a> &amp;aContext);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a0a137f0793d018f957e8e20513150ae1">IsOnMesh</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aAddress);</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aa67c70e5397bc58a13d4afa77c54ff95">RouteLookup</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aSource, <span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aDestination,</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;                            uint8_t *aPrefixMatch, uint16_t *aRloc16);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a428d60927d6f4b4ac8e878e792d2f716">SetNetworkData</a>(uint8_t aVersion, uint8_t aStableVersion, <span class="keywordtype">bool</span> aStableOnly, <span class="keyword">const</span> uint8_t *aData,</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;                        uint8_t aDataLength);</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a5baddd109ff06b58140e2678e3c97a16">RemoveBorderRouter</a>(uint16_t aRloc16);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f">SendServerDataNotification</a>(uint16_t aRloc16);</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    uint8_t *<a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6">GetCommissioningData</a>(uint8_t &amp;aLength);</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a46d1a76edcb210f1cf58c463f3c1bdad">SetCommissioningData</a>(<span class="keyword">const</span> uint8_t *aValue, uint8_t aValueLength);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleServerData(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;                                 <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    <span class="keywordtype">void</span> HandleServerData(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    <span class="keywordtype">void</span> SendServerDataResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo,</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;                                <span class="keyword">const</span> uint8_t *aTlvs, uint8_t aTlvsLength);</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RegisterNetworkData(uint16_t aRloc16, uint8_t *aTlvs, uint8_t aTlvsLength);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddHasRoute(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <a class="code" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">HasRouteTlv</a> &amp;aHasRoute);</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddBorderRouter(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <a class="code" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">BorderRouterTlv</a> &amp;aBorderRouter);</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddNetworkData(uint8_t *aTlv, uint8_t aTlvLength);</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddPrefix(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aTlv);</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    <span class="keywordtype">int</span> AllocateContext(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> FreeContext(uint8_t aContextId);</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> ConfigureAddresses(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> ConfigureAddress(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix);</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveContext(uint8_t aContextId);</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveContext(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, uint8_t aContextId);</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveCommissioningData(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveRloc(uint16_t aRloc16);</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveRloc(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, uint16_t aRloc16);</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveRloc(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <a class="code" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">HasRouteTlv</a> &amp;aHasRoute, uint16_t aRloc16);</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> RemoveRloc(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <a class="code" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">BorderRouterTlv</a> &amp;aBorderRouter, uint16_t aRloc16);</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> ExternalRouteLookup(uint8_t aDomainId, <span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;destination,</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;                                    uint8_t *aPrefixMatch, uint16_t *aRloc16);</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> DefaultRouteLookup(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, uint16_t *aRloc16);</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    <span class="keywordtype">void</span> RlocLookup(uint16_t aRloc16, <span class="keywordtype">bool</span> &amp;aIn, <span class="keywordtype">bool</span> &amp;aStable, uint8_t *aTlvs, uint8_t aTlvsLength);</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    <span class="keywordtype">bool</span> IsStableUpdated(uint16_t aRloc16, uint8_t *aTlvs, uint8_t aTlvsLength, uint8_t *aTlvsBase,</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;                         uint8_t aTlvsBaseLength);</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleCommissioningSet(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;                                       <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;    <span class="keywordtype">void</span> HandleCommissioningSet(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleCommissioningGet(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;                                       <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    <span class="keywordtype">void</span> HandleCommissioningGet(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    <span class="keywordtype">void</span> SendCommissioningGetResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo,</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;                                      uint8_t *aTlvs, uint8_t aLength);</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordtype">void</span> SendCommissioningSetResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo,</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;                                      <a class="code" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a3fd37a56d583ff83449a34434dafc145">MeshCoP::StateTlv::State</a> aState);</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;    {</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;        kMinContextId        = 1,             </div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;        kNumContextIds       = 15,            </div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;        kContextIdReuseDelay = 48 * 60 * 60,  </div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;        kStateUpdatePeriod   = 1000,          </div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    };</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    uint16_t mContextUsed;</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;    uint32_t mContextLastUsed[kNumContextIds];</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    uint32_t mContextIdReuseDelay;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mTimer;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a>  mServerData;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    uint8_t         mStableVersion;</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    uint8_t         mVersion;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a> mCommissioningDataGet;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a> mCommissioningDataSet;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;    <a class="code" href="../../de/d76/classThread_1_1Coap_1_1Server.html">Coap::Server</a>   &amp;mCoapServer;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;    <a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a>    &amp;mNetif;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;};</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;}  <span class="comment">// namespace NetworkData</span></div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;<span class="preprocessor">#endif  // NETWORK_DATA_LEADER_HPP_</span></div><div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a719450dae714bd29bfea19b7d1eb6e9f"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f">Thread::NetworkData::Leader::SendServerDataNotification</a></div><div class="ttdeci">ThreadError SendServerDataNotification(uint16_t aRloc16)</div><div class="ttdoc">This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16...</div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:1155</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></div><div class="ttdoc">This class implements message information for an IPv6 message. </div><div class="ttdef"><b>Definition:</b> socket.hpp:54</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a5baddd109ff06b58140e2678e3c97a16"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a5baddd109ff06b58140e2678e3c97a16">Thread::NetworkData::Leader::RemoveBorderRouter</a></div><div class="ttdeci">void RemoveBorderRouter(uint16_t aRloc16)</div><div class="ttdoc">This method removes Network Data associated with a given RLOC16. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:448</div></div>
<div class="ttc" id="ip6__address_8hpp_html"><div class="ttname"><a href="../../dc/d02/ip6__address_8hpp.html">ip6_address.hpp</a></div><div class="ttdoc">This file includes definitions for IPv6 addresses. </div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1StateTlv_html_a3fd37a56d583ff83449a34434dafc145"><div class="ttname"><a href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a3fd37a56d583ff83449a34434dafc145">Thread::MeshCoP::StateTlv::State</a></div><div class="ttdeci">State</div><div class="ttdoc">State values. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:984</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1PrefixTlv_html"><div class="ttname"><a href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">Thread::NetworkData::PrefixTlv</a></div><div class="ttdoc">This class implements Prefix TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:266</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a46d1a76edcb210f1cf58c463f3c1bdad"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a46d1a76edcb210f1cf58c463f3c1bdad">Thread::NetworkData::Leader::SetCommissioningData</a></div><div class="ttdeci">ThreadError SetCommissioningData(const uint8_t *aValue, uint8_t aValueLength)</div><div class="ttdoc">This method adds Commissioning Data to the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:470</div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="mle__router_8hpp_html"><div class="ttname"><a href="../../d6/d6f/mle__router_8hpp.html">mle_router.hpp</a></div><div class="ttdoc">This file includes definitions for MLE functionality required by the Thread Router and Leader roles...</div></div>
<div class="ttc" id="classThread_1_1ThreadNetif_html"><div class="ttname"><a href="../../d3/d8e/classThread_1_1ThreadNetif.html">Thread::ThreadNetif</a></div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:85</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a88ab46f99bc237628ebdc4153678ffca"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a88ab46f99bc237628ebdc4153678ffca">Thread::NetworkData::Leader::GetVersion</a></div><div class="ttdeci">uint8_t GetVersion(void) const </div><div class="ttdoc">This method returns the Thread Network Data version. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:93</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_aa67c70e5397bc58a13d4afa77c54ff95"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aa67c70e5397bc58a13d4afa77c54ff95">Thread::NetworkData::Leader::RouteLookup</a></div><div class="ttdeci">ThreadError RouteLookup(const Ip6::Address &amp;aSource, const Ip6::Address &amp;aDestination, uint8_t *aPrefixMatch, uint16_t *aRloc16)</div><div class="ttdoc">This method performs a route lookup using the Network Data. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:263</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_aeda6636db45b59e47b41830e19eb3676"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676">Thread::NetworkData::Leader::GetContext</a></div><div class="ttdeci">ThreadError GetContext(const Ip6::Address &amp;aAddress, Lowpan::Context &amp;aContext)</div><div class="ttdoc">This method retrieves the 6LoWPAN Context information based on a given IPv6 address. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:131</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_af0d5b5a867cd80bbc200c58c97c22b5e"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#af0d5b5a867cd80bbc200c58c97c22b5e">Thread::NetworkData::Leader::Leader</a></div><div class="ttdeci">Leader(ThreadNetif &amp;aThreadNetif)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:56</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a7678c15cb9ad8817f478340a20f7069b"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a7678c15cb9ad8817f478340a20f7069b">Thread::NetworkData::Leader::Start</a></div><div class="ttdeci">void Start(void)</div><div class="ttdoc">This method starts the Leader services. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:79</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1NetworkData_html"><div class="ttname"><a href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></div><div class="ttdoc">This class implements Network Data processing. </div><div class="ttdef"><b>Definition:</b> network_data.hpp:84</div></div>
<div class="ttc" id="classThread_1_1Timer_html"><div class="ttname"><a href="../../d1/d40/classThread_1_1Timer.html">Thread::Timer</a></div><div class="ttdoc">This class implements a timer. </div><div class="ttdef"><b>Definition:</b> timer.hpp:138</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a077a8f039d961db6d8f0cf7fc01128aa"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a077a8f039d961db6d8f0cf7fc01128aa">Thread::NetworkData::Leader::GetContextIdReuseDelay</a></div><div class="ttdeci">uint32_t GetContextIdReuseDelay(void) const </div><div class="ttdoc">This method returns CONTEXT_ID_RESUSE_DELAY value. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:120</div></div>
<div class="ttc" id="network__data_8hpp_html"><div class="ttname"><a href="../../d1/d10/network__data_8hpp.html">network_data.hpp</a></div><div class="ttdoc">This file includes definitions for managing Thread Network Data. </div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">Thread::NetworkData::Leader</a></div><div class="ttdoc">This class implements the Thread Network Data maintained by the Leader. </div><div class="ttdef"><b>Definition:</b> network_data_leader.hpp:65</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a11cd0f1181c3217bf39366fbc445f5e7"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a11cd0f1181c3217bf39366fbc445f5e7">Thread::NetworkData::Leader::SetContextIdReuseDelay</a></div><div class="ttdeci">ThreadError SetContextIdReuseDelay(uint32_t aDelay)</div><div class="ttdoc">This method sets CONTEXT_ID_RESUSE_DELAY value. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:125</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_af1d68084596bca7052e15217b2e96ccf"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#af1d68084596bca7052e15217b2e96ccf">Thread::NetworkData::Leader::GetStableVersion</a></div><div class="ttdeci">uint8_t GetStableVersion(void) const </div><div class="ttdoc">This method returns the Thread Network Data stable version. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:107</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_aaa82c03675af088d0d8c1dbb203b2029"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aaa82c03675af088d0d8c1dbb203b2029">Thread::NetworkData::Leader::IncrementStableVersion</a></div><div class="ttdeci">void IncrementStableVersion(void)</div><div class="ttdoc">This method increments the Thread Network Data stable version. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:112</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_ab1860ae9877c2b0f6a83d677d41e31d6"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6">Thread::NetworkData::Leader::GetCommissioningData</a></div><div class="ttdeci">uint8_t * GetCommissioningData(uint8_t &amp;aLength)</div><div class="ttdoc">This method returns a pointer to the Commissioning Data. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:496</div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Header_html"><div class="ttname"><a href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></div><div class="ttdoc">This class implements CoAP header generation and parsing. </div><div class="ttdef"><b>Definition:</b> coap_header.hpp:68</div></div>
<div class="ttc" id="coap__server_8hpp_html"><div class="ttname"><a href="../../dd/d28/coap__server_8hpp.html">coap_server.hpp</a></div><div class="ttdoc">This file includes definitions for the CoAP server. </div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1HasRouteTlv_html"><div class="ttname"><a href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">Thread::NetworkData::HasRouteTlv</a></div><div class="ttdoc">This class implements Has Route TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:231</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a428d60927d6f4b4ac8e878e792d2f716"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a428d60927d6f4b4ac8e878e792d2f716">Thread::NetworkData::Leader::SetNetworkData</a></div><div class="ttdeci">void SetNetworkData(uint8_t aVersion, uint8_t aStableVersion, bool aStableOnly, const uint8_t *aData, uint8_t aDataLength)</div><div class="ttdoc">This method is used by non-Leader devices to set newly received Network Data from the Leader...</div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:430</div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Resource_html"><div class="ttname"><a href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Thread::Coap::Resource</a></div><div class="ttdoc">This class implements CoAP resource handling. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:55</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a631f664fa6b994e74b133b9761fae421"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a631f664fa6b994e74b133b9761fae421">Thread::NetworkData::Leader::Reset</a></div><div class="ttdeci">void Reset(void)</div><div class="ttdoc">This method reset the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:68</div></div>
<div class="ttc" id="timer_8hpp_html"><div class="ttname"><a href="../../df/d05/timer_8hpp.html">timer.hpp</a></div><div class="ttdoc">This file includes definitions for the multiplexed timer service. </div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Server_html"><div class="ttname"><a href="../../de/d76/classThread_1_1Coap_1_1Server.html">Thread::Coap::Server</a></div><div class="ttdoc">This class implements the CoAP server. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:101</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_aed480933589287c7910778d4994917df"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aed480933589287c7910778d4994917df">Thread::NetworkData::Leader::Stop</a></div><div class="ttdeci">void Stop(void)</div><div class="ttdoc">This method stops the Leader services. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:86</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_a0a137f0793d018f957e8e20513150ae1"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a0a137f0793d018f957e8e20513150ae1">Thread::NetworkData::Leader::IsOnMesh</a></div><div class="ttdeci">bool IsOnMesh(const Ip6::Address &amp;aAddress)</div><div class="ttdoc">This method indicates whether or not the given IPv6 address is on-mesh. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:225</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html_aef19c61f1f56ce22b1097c73590d5a83"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aef19c61f1f56ce22b1097c73590d5a83">Thread::NetworkData::Leader::IncrementVersion</a></div><div class="ttdeci">void IncrementVersion(void)</div><div class="ttdoc">This method increments the Thread Network Data version. </div><div class="ttdef"><b>Definition:</b> network_data_leader.cpp:98</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1BorderRouterTlv_html"><div class="ttname"><a href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">Thread::NetworkData::BorderRouterTlv</a></div><div class="ttdoc">This class implements Border Router TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:558</div></div>
<div class="ttc" id="structThread_1_1Lowpan_1_1Context_html"><div class="ttname"><a href="../../dc/dcb/structThread_1_1Lowpan_1_1Context.html">Thread::Lowpan::Context</a></div><div class="ttdoc">This structure represents a LOWPAN_IPHC Context. </div><div class="ttdef"><b>Definition:</b> lowpan.hpp:70</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></div><div class="ttdoc">This class implements an IPv6 address object. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:56</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../de/d90/network__data__leader_8hpp.html">network_data_leader.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
